# derby.ui.codeset property

#### Function

Set this property to a supported character encoding value when using one of the Derby tools with a language not supported by your default system.

#### Syntax

    derby.ui.codeset=derbyval

where derbyval is a supported character encoding value, for example, UTF8 (see Sample Character Encodings).

#### Example

The following command specifies to run `ij` using the Japanese territory (derby.ui.locale=ja_JP) using Japanese Latin Kanji mixed encoding (codeset=Cp939):

    java -Dderby.ui.locale=ja_JP -Dderby.ui.codeset=Cp939
        -Dij.protocol=jdbc:derby:
        org.apache.derby.tools.ij

The following table contains a sampling of character encodings. Supported encodings vary from product to product. For example, to see the full list of the character encodings that are supported by Java 2 Software Development Kit, Standard Edition, v. 1.4.2 go to http://java.sun.com/j2se/1.4.2/docs/guide/intl/encoding.doc.html.

Table 1. Sample Character Encodings
Character Encoding | Explanation
--- | ---
8859_1 | ISO Latin-1
8859_2 | ISO Latin-2
8859_7 | ISO Latin/Greek
Cp1257 | Windows Baltic
Cp1258 | Windows Vietnamese
Cp437 | PC Original
EUCJIS | Japanese EUC
GB2312 | GB2312-80 Simplified Chinese
JIS | JIS
KSC5601 | KSC5601 Korean
MacCroatian | Macintosh Croatian
MacCyrillic | Macintosh Cyrillic
SJIS | PC and Windows Japanese
UTF8 | Standard UTF-8

Parent topic: ij properties reference
Related reference
ij.connection.connectionName property
ij.database property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol property
ij.protocol.protocolName property
ij.showErrorCode property
ij.showNoConnectionsAtStart property
ij.showNoCountForSelect property
ij.URLCheck property
ij.user property